> For the complete documentation index, see [llms.txt](https://docs-v3.activeloop.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-v3.activeloop.ai/v3.4.1/enterprise-features/managed-database.md).

# Tensor Database

## Overview of Deep Lake's Managed Tensor Database

#### Deep Lake offers a Managed Tensor Database for a variety of dataset operations. Currently, it only supports dataset queries, including vector search, but additional features for creating and modifying data being added.

To create a Deep Lake dataset in the Managed Tensor Database, please specify `dataset_path = hub://org_id/dataset_name` and `runtime = {"db_engine": True}` during dataset creation. [Full details on path and storage management are available here](/v3.4.1/storage-and-credentials/storage-options.md).

### Architecture

The Managed Database is serverless and can deployed in the user's VPC.&#x20;

### Interfaces for the Managed Database

{% content-ref url="/pages/EFhS3VUnKNCglRk6PJbX" %}
[REST API](/v3.4.1/enterprise-features/managed-database/rest-api.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-v3.activeloop.ai/v3.4.1/enterprise-features/managed-database.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
